function buttonselectnorm(hObject, eventdata,emptybutton,Button,titles,Footnote,AFS,LockMode,AxesAFS, AxesSOL, EPSinfo,borg,one_x);


data = get(emptybutton,'UserData');
 [m,n]=size(data.Draw);
if min(m,n)==3
    data.Sraw(4,4)=0;
end
if isfield(data,'ismatrix')==0 || data.ismatrix == 0 
    set(Footnote,'String',' Warning, no data has been loaded.','ForegroundColor','red');
    return;
end
    
 data.Borgen=get(borg,'Value');
%  data.scalBorg=data.Borgen;

data.polygon=0;
data.isafs=0;

 
 if data.Borgen == 1
     set(titles(2),'String','Generalized Borgen plot - RS-scaling');
     
    D=data.D_scal;
    I=[];
    for i=1:m
        if min(D(i,:))/max(abs(D(i,:)))>-0.1 && max(D(i,:))>3e-3
            I=[I, i];
        end
    end
    D=D(I,:);
    
   if min(min(D))>-1.0e-14 && data.Sraw(4,4)<1.0e-12 
    
         minD=0;
    else
    minD=min(min(D));
    if minD<0
        minD=min(-10^(-8),minD);
    end
    if abs(minD)<1.0e-14
        minD=0;
    end
    end
    
    
    data.EPSd=minD;
    set(EPSinfo(2),'String',[num2str(0)]);
    
    if minD>=0
        set(EPSinfo(1),'String',[' min(A): ',num2str(0)]);
        set(EPSinfo(3),'String',[num2str(0)]);
        data.EPSa=0;
        data.EPSa=0;
        
        
    else
        set(EPSinfo(1),'String',[' min(A): ',num2str(minD)]);
        minD=ceil(-minD*10^6)/10^6;
        data.EPSa=minD;
        data.EPSc=0.000001;
        minA=max([minD 1e-4]);
        set(EPSinfo(3),'String',[num2str(minA)]);
        set(EPSinfo(2),'String',[num2str(1e-8)]);
    end
   
    
 else
     set(titles(2),'String','Generalized Borgen plot - FSV-scaling');
     
       D=data.D_scal;
    I=[];
    for i=1:m
        if min(D(i,:))/max(abs(D(i,:)))>-0.1 && max(D(i,:))>3e-3
            I=[I, i];
        end
    end
    D=D(I,:);
     
    if min(min(D))>-1.0e-14 && (data.Sraw(4,4)<1.0e-12 || min(n,m)==3)
    
         minD=0;
    else
    [k,n]=size(data.Dtrunc);
    D1=zeros(k,n);
    for i=1:k
        if min(data.Dtrunc(i,:))/max(abs(data.Dtrunc(i,:)))>-0.1 && max(data.Dtrunc(i,:))>3e-3
            w=data.Dtrunc(i,:)*data.Vraw(:,1);
            D1(i,:)=data.Dtrunc(i,:)/w;
        end
    end
    minD=min(min(D1));
    if minD<0
        minD=min(-10^(-8),minD);
    end
    if abs(minD)<1.0e-14
        minD=0;
    end
    end
     data.EPSd=minD;
    set(EPSinfo(2),'String',[num2str(0)]);
    data.EPSc=0;
    if minD>=0
        set(EPSinfo(1),'String',[' min(A): ',num2str(0)]);
        set(EPSinfo(3),'String',[num2str(0)]);
        data.EPSa=0;
        data.EPSa=0;


    else
        set(EPSinfo(1),'String',[' min(A): ',num2str(minD)]);
        minD=ceil(-minD*10^6)/10^6;
        data.EPSa=minD;
        data.EPSc=0.000001;
        minA=max([minD 1e-4]);
        set(EPSinfo(3),'String',[num2str(minA)]);
        set(EPSinfo(2),'String',[num2str(1e-8)]);
    end
 end
onoffButton_BKP(Button,1:3,4:8);
onoffButton_BKP(AFS,[],1:3);
onoffButton_BKP(LockMode,[],2:5);
hold(AxesAFS,'off');
plot(AxesAFS,0,0,'w');   

hold(AxesSOL,'off');
plot(AxesSOL,1,0,'w');
 set(emptybutton,'UserData',data);
