function Sol= transformAFS(data,part,segments,bndpts,dx,dy)

Sol.T = [];
Sol.A = [];

if data.Borgen==1
    FP=data.FP_B;
    Tbnd=data.Tbnd_B;
else
    FP=data.FP_SV;
    Tbnd=data.Tbnd_SV;
end


if segments==1 
    
    p=0;
    [m,n]=size(FP);
    FP(m+1,1:2)=FP(1,1:2);
    h=0;
    for i=1:m-1
        h=h+norm(FP(i,1:2)-FP(i+1,1:2));
    end
    h=h+norm(FP(1,1:2)-FP(m,1:2));
    
    h=h/bndpts;
    x(1:2)=FP(1,1:2);
    p=p+1;
    Sol.T(p,1:2)=x(1:2);
    d=h;
    for i=2:m+1
        dist=norm(FP(i,1:2)-x(1:2));
        while d<dist
            x(1:2)=x(1:2)+d*(FP(i,1:2)-x(1:2))/dist;
            p=p+1;
            Sol.T(p,1:2)=x(1:2);
            d=h;
            dist= norm(FP(i,1:2)-x(1:2));
        end
        d=d-dist;
        x=FP(i,1:2);
    end
    
    [m,n]=size(Tbnd);
    Tbnd(m+1,1:2)=Tbnd(1,1:2);
    h=0;
    for i=1:m-1
        h=h+norm(Tbnd(i,1:2)-Tbnd(i+1,1:2));
    end
    h=h+norm(Tbnd(1,1:2)-Tbnd(m,1:2));
    
    h=h/bndpts;
    x(1:2)=Tbnd(1,1:2);
    p=p+1;
    Sol.T(p,1:2)=x(1:2);
    d=h;
    for i=2:(m+1)
        dist=norm(Tbnd(i,1:2)-x(1:2));
        while d<dist
            x(1:2)=x(1:2)+d*(Tbnd(i,1:2)-x(1:2))/dist;
            p=p+1;
            Sol.T(p,1:2)=x(1:2);
            d=h;
            dist= norm(Tbnd(i,1:2)-x(1:2));
        end
        d=d-dist;
        x=Tbnd(i,1:2);
    end
    
    [m,h]=size(FP);
    [n,h]=size(Tbnd);
    x_max=max(FP(:,1));
    x_min=min(FP(:,1));
    
    
    t1=ceil((x_max-x_min)/dx);
    dx1=(x_max-x_min)/t1;
    
    x=x_min;
    for i=1:(t1-1)
        x=x+dx1;
        S=[];
        s=0;
        for j=1:m-1
            if (FP(j,1)>=x && FP(j+1,1)<=x) || (FP(j,1)<=x && FP(j+1,1)>=x)
                s=s+1;
                r=(x-FP(j,1))/(FP(j+1,1)-FP(j,1));
                S(s)=FP(j,2)+r*(FP(j+1,2)-FP(j,2));
            end
        end
        for j=1:n-1
            if (Tbnd(j,1)>=x && Tbnd(j+1,1)<=x) || (Tbnd(j,1)<=x && Tbnd(j+1,1)>=x)
                s=s+1;
                r=(x-Tbnd(j,1))/(Tbnd(j+1,1)-Tbnd(j,1));
                S(s)=Tbnd(j,2)+r*(Tbnd(j+1,2)-Tbnd(j,2));
            end
        end
        
        S=sort(S);
        
        y_min=S(1);
        y_max=S(s);
        
        t2=ceil((y_max-y_min)/dy);
        dy1=(y_max-y_min)/t2;
        
        
        
        nS=1;
        y=y_min;
        for j=1:(t2-1)
            y=y+dy1;
            while nS<s && (S(nS+1)<y)
                nS=nS+1;
            end
            if mod(nS,2)==1
                p=p+1;
                Sol.T(p,1)=x;
                Sol.T(p,2)=y;
            end
        end
    end
elseif segments>1
    if data.Borgen==1
        AFS=data.segments_B{part};
    else
        AFS=data.segments_SV{part};
    end
    p=0;
    [m,n]=size(AFS);
    AFS(m+1,1:2)=AFS(1,1:2);
    h=0;
    for i=1:m-1
        h=h+norm(AFS(i,1:2)-AFS(i+1,1:2));
    end
    h=h+norm(AFS(1,1:2)-AFS(m,1:2));
    
    h=h/bndpts;
    x(1:2)=AFS(1,1:2);
    p=p+1;
    Sol.T(p,1:2)=x(1:2);
    d=h;
    for i=2:m+1
        dist=norm(AFS(i,1:2)-x(1:2));
        while d<dist
            x(1:2)=x(1:2)+d*(AFS(i,1:2)-x(1:2))/dist;
            p=p+1;
            Sol.T(p,1:2)=x(1:2);
            d=h;
            dist= norm(AFS(i,1:2)-x(1:2));
        end
        d=d-dist;
        x=AFS(i,1:2);
    end
    
    [m,h]=size(AFS);
  
    x_max=max(AFS(:,1));
    x_min=min(AFS(:,1));
   
    t1=ceil((x_max-x_min)/dx);
    dx1=(x_max-x_min)/t1;
    
    x=x_min;
    for i=1:(t1-1)
        x=x+dx1;
        S=[];
        s=0;
        for j=1:m-1
            if (AFS(j,1)>=x && AFS(j+1,1)<=x) || (AFS(j,1)<=x && AFS(j+1,1)>=x)
                s=s+1;
                r=(x-AFS(j,1))/(AFS(j+1,1)-AFS(j,1));
                S(s)=AFS(j,2)+r*(AFS(j+1,2)-AFS(j,2));
            end
        end
        
        S=sort(S);
        
        y_min=S(1);
        y_max=S(s);
        
        t2=ceil((y_max-y_min)/dy);
        dy1=(y_max-y_min)/t2;
        
        
        
        nS=1;
        y=y_min;
        for j=1:(t2-1)
            y=y+dy1;
            while nS<s && (S(nS+1)<y)
                nS=nS+1;
            end
            if mod(nS,2)==1
                p=p+1;
                Sol.T(p,1)=x;
                Sol.T(p,2)=y;
            end
        end
    end
    
end

if data.Borgen==0
    Sol.A=[ones(p,1) Sol.T]*data.Vraw(:,1:3)';
else
    q=zeros(1,3);

    for i=1:p
        q(1)=(1-data.sum_v2*Sol.T(i,1)-data.sum_v3*Sol.T(i,2))/data.sum_v1;
        q(2:3)=Sol.T(i,1:2);
        Sol.A(i,:)=q*data.V_scal(:,1:3)';
    end
end


